theta = (.01:.01:0.75)*pi/2;
f = pi;
D = 2*f*tan(theta);
sa1 = 2*pi*(1-cos(theta));      %exact
sa2 = 4*pi*sin(theta/2).^2;     %exact
sa3 = pi*theta.^2;              %first approximation
sa4 = pi*sin(theta).^2;         %second approximation
sa5 = pi*D.^2/4/f^2;            %projected solid angle
N = 1/2./sin(theta);
plot(N,log2(sa2./sa1),'-',N,log2(sa3./sa1),N,log2(sa4./sa1),N,log2(sa5./sa1),'--')

grid; grid minor 
title('Solid Angle Approximations')
xlabel('f-number = $1/2sin\theta$','Interpreter','Latex')
ylabel('Error in Solid Angle (Stops)')
legend('$4\pi sin^2\frac{\theta}{2}$','$\pi \theta^2$','$\pi sin^2\theta$',...
    '$\frac{\pi D^2}{4f^2}$','Interpreter','Latex','Location','NE','FontSize',14)
xlim([1.4 32]); xticks([1 1.4 2 2.8 4 5.6 8 11 16, 22, 32])
set(gca,'xscale','log');